Stock prices
curl --request GET \
--url https://www.prometheus.services/api/v1/companies/{id}/prices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies/{id}/prices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies/{id}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symbol": "NVDA",
"bars": [
{
"t": 1730678400000,
"o": 137.210007,
"h": 138.960007,
"l": 135.570007,
"c": 136.050003,
"v": 187528200
},
{
"t": 1730764800000,
"o": 137.449997,
"h": 140.369995,
"l": 137.330002,
"c": 139.910004,
"v": 160537400
},
{
"t": 1730851200000,
"o": 142.960007,
"h": 146.490005,
"l": 141.960007,
"c": 145.610001,
"v": 242043900
}
],
"displayFrom": 1756080000000
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Market Data
Stock prices
Daily OHLCV bars.
GET
/
api
/
v1
/
companies
/
{id}
/
prices
Stock prices
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA) or numeric SEC CIK (zero-padding optional).
Query Parameters
Lookback window.
Available options:
1M, 3M, 6M, YTD, 1Y, 2Y, 5Y, ALL Response
OK
The response is of type object.
⌘I